# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Defined types**

* [`pemtopfx`](#pemtopfx): Create pfx cert files in Windows from Puppet and Hiera strings containing pem certs and keys

## Defined types

### pemtopfx

Defined type to create pfx cert files in Windows from Puppet and Hiera strings containing pem certs and keys.

#### Examples

##### 

```puppet
pemtopfx {'C:\ProgramData\cert.pfx':
  cert     => $pemCertString,
  key      => $pemKeyString,
  password => 'my_password',
}
```

#### Parameters

The following parameters are available in the `pemtopfx` defined type.

##### `cert`

Data type: `String[1]`

String containing the pem cert to convert to pfx

##### `key`

Data type: `String[1]`

String containing the pem key for the cert to convert to pfx

##### `password`

Data type: `String[1]`

Password to use when creating the pfx file

##### `pfx`

Data type: `Stdlib::Windowspath`

Path of the pfx file to create

Default value: $title

##### `scripts_dir`

Data type: `Stdlib::Windowspath`

Path to store PowerShell scripts used during conversion process

Default value: 'C:\ProgramData'

